aboutsummaryrefslogtreecommitdiffstats
path: root/target
diff options
context:
space:
mode:
authorChen Minqiang <ptpt52@gmail.com>2022-12-18 08:59:44 +0800
committerDaniel Golle <daniel@makrotopia.org>2023-01-29 01:02:45 +0000
commit016a7bd558183dae67e6ed3c29ee82d7b5c2f579 (patch)
treed3f1dc6405a3c08516039255d88f00bdfcbc4b4a /target
parent781a3ae5dc4755e5826862d023e149e68029d554 (diff)
downloadupstream-016a7bd558183dae67e6ed3c29ee82d7b5c2f579.tar.gz
upstream-016a7bd558183dae67e6ed3c29ee82d7b5c2f579.tar.bz2
upstream-016a7bd558183dae67e6ed3c29ee82d7b5c2f579.zip
mediatek: fix wrong return code in platform_check_image()
Ensure that the platform_check_image() function returns an error code. Signed-off-by: Chen Minqiang <ptpt52@gmail.com>
Diffstat (limited to 'target')
-rwxr-xr-xtarget/linux/mediatek/filogic/base-files/lib/upgrade/platform.sh2
-rwxr-xr-xtarget/linux/mediatek/mt7622/base-files/lib/upgrade/platform.sh1
2 files changed, 2 insertions, 1 deletions
diff --git a/target/linux/mediatek/filogic/base-files/lib/upgrade/platform.sh b/target/linux/mediatek/filogic/base-files/lib/upgrade/platform.sh
index 93b202218a..9a389d59b1 100755
--- a/target/linux/mediatek/filogic/base-files/lib/upgrade/platform.sh
+++ b/target/linux/mediatek/filogic/base-files/lib/upgrade/platform.sh
@@ -95,7 +95,7 @@ platform_check_image() {
;;
*)
nand_do_platform_check "$board" "$1"
- return 0
+ return $?
;;
esac
diff --git a/target/linux/mediatek/mt7622/base-files/lib/upgrade/platform.sh b/target/linux/mediatek/mt7622/base-files/lib/upgrade/platform.sh
index d3d503dd1e..e3c66a3b01 100755
--- a/target/linux/mediatek/mt7622/base-files/lib/upgrade/platform.sh
+++ b/target/linux/mediatek/mt7622/base-files/lib/upgrade/platform.sh
@@ -74,6 +74,7 @@ platform_check_image() {
totolink,a8000ru|\
xiaomi,redmi-router-ax6s)
nand_do_platform_check "$board" "$1"
+ return $?
;;
*)
[ "$magic" != "d00dfeed" ] && {